Subject: Re: [PATCH] tcp: Socket option to set congestion window

From: Andi Kleen <[email-masked]>
Date: Wed, 26 May 2010 23:27:45 +0200

> > Yes all of Saudi-Arabia used to be (is?) one IP address...
> > 
> > Caching anything per IP is bogus.
> 
> And letting the applications choose the CWND is better?!?!

No I actually agree with you on that. Just saying that
anything that relies on per IP caching is bad too.

As I understand the idea was that the application knows
what flows belong to a single peer and wants to have
a single cwnd for all of those. Perhaps there would
be a way to generalize that to tell it to the kernel.

e.g. have a "peer id"  that is known by applications
and the kernel could manage cwnds shared between connections
associated with the same peer id?

Just an idea, I admit I haven't thought very deeply
about this. Feel free to poke holes into it.

-Andi